## colpack 1.0.9

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/ColPack
pkgincludedir = $(includedir)/ColPack
pkglibdir = $(libdir)/ColPack
pkglibexecdir = $(libexecdir)/ColPack
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_bin_PROGRAMS = ColPack$(EXEEXT)
#basic_examples_PROGRAMS = SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphBicoloringInterface$(EXEEXT) \
#	SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphPartialColoringInterface$(EXEEXT) \
#	SampleDrivers/Basic/color_graph_using_GraphColoringInterface$(EXEEXT) \
#	SampleDrivers/Basic/Generate_seed_matrix_for_Hessian$(EXEEXT) \
#	SampleDrivers/Basic/Generate_seed_matrix_for_Jacobian$(EXEEXT)
#ADIC_examples_PROGRAMS = SampleDrivers/Matrix_Compression_and_Recovery/ADIC/01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format$(EXEEXT)
#ADOLC_examples_PROGRAMS = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/03_Column_compression_and_recovery_for_Jacobian_return_Sparse_Solvers_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/04_Row_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/05_Compression_and_direct_recovery_for_Hessian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/06_Compression_and_direct_recovery_for_Hessian_return_Coordinate_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/07_Compression_and_direct_recovery_for_Hessian_return_Sparse_Solvers_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/08_Compression_and_indirect_recovery_for_Hessian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/09_Bidirectional_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/10_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format__unmanaged_usermem$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/11_Compression_and_direct_recovery_for_Hessian_return_Row_Compressed_Format__unmanaged_usermem$(EXEEXT) \
#	SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/12_Bidirectional_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format__unmanaged_usermem$(EXEEXT)
#CSR_examples_PROGRAMS = SampleDrivers/Matrix_Compression_and_Recovery/CSR_input/01_Column_compression_and_recovery_for_Jacobian_CSR_input_return_Row_Compressed_Format$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
	COPYING.LESSER ChangeLog INSTALL NEWS config.guess config.sub \
	depcomp install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(ADIC_examplesdir)" \
	"$(DESTDIR)$(ADOLC_examplesdir)" \
	"$(DESTDIR)$(CSR_examplesdir)" \
	"$(DESTDIR)$(basic_examplesdir)" "$(DESTDIR)$(noinst_bindir)" \
	"$(DESTDIR)$(pkgincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libColPack_la_LIBADD =
am_libColPack_la_OBJECTS = CoutLock.lo \
	command_line_parameter_processor.lo File.lo DisjointSets.lo \
	current_time.lo mmio.lo Pause.lo MatrixDeallocation.lo \
	Timer.lo StringTokenizer.lo extra.lo stat.lo \
	BipartiteGraphPartialOrdering.lo \
	BipartiteGraphPartialColoring.lo \
	BipartiteGraphPartialColoringInterface.lo \
	BipartiteGraphInputOutput.lo BipartiteGraphBicoloring.lo \
	BipartiteGraphVertexCover.lo BipartiteGraphCore.lo \
	BipartiteGraphBicoloringInterface.lo BipartiteGraphOrdering.lo \
	GraphCore.lo GraphColoringInterface.lo GraphInputOutput.lo \
	GraphOrdering.lo GraphColoring.lo JacobianRecovery1D.lo \
	RecoveryCore.lo JacobianRecovery2D.lo HessianRecovery.lo
libColPack_la_OBJECTS = $(am_libColPack_la_OBJECTS)
PROGRAMS = $(ADIC_examples_PROGRAMS) $(ADOLC_examples_PROGRAMS) \
	$(CSR_examples_PROGRAMS) $(basic_examples_PROGRAMS) \
	$(noinst_bin_PROGRAMS)
am_ColPack_OBJECTS = Main.$(OBJEXT)
ColPack_OBJECTS = $(am_ColPack_OBJECTS)
ColPack_LDADD = $(LDADD)
ColPack_DEPENDENCIES = libColPack.la
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_SOURCES =  \
	SampleDrivers/Basic/Generate_seed_matrix_for_Hessian.cpp
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_OBJECTS =  \
	Generate_seed_matrix_for_Hessian.$(OBJEXT)
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_LDADD = $(LDADD)
SampleDrivers_Basic_Generate_seed_matrix_for_Hessian_DEPENDENCIES =  \
	libColPack.la
am__dirstamp = $(am__leading_dot)dirstamp
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_SOURCES =  \
	SampleDrivers/Basic/Generate_seed_matrix_for_Jacobian.cpp
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_OBJECTS =  \
	Generate_seed_matrix_for_Jacobian.$(OBJEXT)
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_Generate_seed_matrix_for_Jacobian_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_SOURCES = SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphBicoloringInterface.cpp
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_OBJECTS = color_bipartite_graph_using_BipartiteGraphBicoloringInterface.$(OBJEXT)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphBicoloringInterface_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_SOURCES = SampleDrivers/Basic/color_bipartite_graph_using_BipartiteGraphPartialColoringInterface.cpp
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_OBJECTS = color_bipartite_graph_using_BipartiteGraphPartialColoringInterface.$(OBJEXT)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_color_bipartite_graph_using_BipartiteGraphPartialColoringInterface_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_SOURCES = SampleDrivers/Basic/color_graph_using_GraphColoringInterface.cpp
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_OBJECTS =  \
	color_graph_using_GraphColoringInterface.$(OBJEXT)
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_LDADD =  \
	$(LDADD)
SampleDrivers_Basic_color_graph_using_GraphColoringInterface_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADIC/01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format.cpp
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_OBJECTS = 01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format.$(OBJEXT)
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_LDADD =  \
	$(LDADD)
SampleDrivers_Matrix_Compression_and_Recovery_ADIC_01_Column_compression_and_recovery_for_Jacobian_return_ADIC_Format_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format.cpp
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_OBJECTS = 01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format.$(OBJEXT)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_LDADD =  \
	$(LDADD)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_01_Column_compression_and_recovery_for_Jacobian_return_Row_Compressed_Format_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format.cpp
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_OBJECTS = 02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format.$(OBJEXT)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_LDADD =  \
	$(LDADD)
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_02_Column_compression_and_recovery_for_Jacobian_return_Coordinate_Format_DEPENDENCIES =  \
	libColPack.la
SampleDrivers_Matrix_Compression_and_Recovery_ADOL_C_03_Column_compression_and_recovery_for_Jacobian_return_Sparse_Solvers_Format_SOURCES = SampleDrivers/Matrix_Compression_and_Recovery/ADOL-C/03_Column_compression_and_recovery_for_Jacobian_return_Sparse_Solvers_Format.cpp
