=== debian/changelog ===
colpack (1.0.9-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add conflicts/replaces libcolpack0 (closes: #794909)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 09 Aug 2015 17:51:36 +0100

colpack (1.0.9-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libcolpack0 to libcolpack0v5 (see #791009)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 04 Aug 2015 17:56:18 +0100

colpack (1.0.9-3) unstable; urgency=medium

  * chmod -x /usr/share/doc/libcolpack-dev/examples/.../*.cpp

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Mar 2014 21:38:55 +0000

colpack (1.0.9-2) unstable; urgency=medium

  * Move package into debian-science

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Mar 2014 12:09:57 +0000

colpack (1.0.9-1) unstable; urgency=medium

  * Initial release. (Closes: #740822)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Mar 2014 11:16:33 +0000
