=== debian/control ===
Source: colpack
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.cscapes.org/coloringpage/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/colpack.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/colpack.git

Package: libcolpack-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcolpack0v5 (= ${binary:Version})
Description: Specialized graph vertex coloring library, development files
 ColPack is a package comprising of implementation of algorithms for
 specialized vertex coloring problems that arise in sparse derivative
 computation.  It is written in an object-oriented fashion heavily
 using the Standard Template Library (STL).  It is designed to be
 simple, modular, extenable and efficient.  Its primary application
 has been for use in automatic differentiation.
 .
 This package contains the development library, header files, and
 documentation.

Package: libcolpack0v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcolpack0
Replaces: libcolpack0
Description: Specialized graph vertex coloring library, shared library
 ColPack is a package comprising of implementation of algorithms for
 specialized vertex coloring problems that arise in sparse derivative
 computation.  It is written in an object-oriented fashion heavily
 using the Standard Template Library (STL).  It is designed to be
 simple, modular, extenable and efficient.  Its primary application
 has been for use in automatic differentiation.
 .
 This package contains the runtime library.
