=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_clean:
	-dh_auto_clean

# Disable build-time compilation of examples.  Enabling would be a
# harmless reality check, except we want to install the example
# sources as documentation, and compiling them leaves the compilation
# outputs in place, which then need to be filtered out.
override_dh_auto_configure:
	dh_auto_configure -- --enable-examples=no

# Do not compress the example source code.
override_dh_compress:
	dh_compress -X.cpp -Xeval_fun_chem.c

override_dh_installexamples:
	dh_installexamples
	find debian/libcolpack-dev -name .gitignore -exec rm --verbose '{}' \;
	@echo compensate for upstream tarball containing executable example source
	find debian/libcolpack-dev/usr/share/doc/libcolpack-dev/examples \
		-type f -executable \
		-exec chmod --verbose a-x '{}' \;
