=== debian/changelog ===
colpack (1.0.10-6) unstable; urgency=medium

  * exercise dh13
  * Update standards version to 4.6.0, no changes needed.
  * Remove Multi-arch: same from -dev package
  * Remove libtool-created LD_LIBRARY_PATH shim scripts from examples

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Aug 2021 09:20:31 +0100

colpack (1.0.10-5) unstable; urgency=medium

  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump policy.
  * Update some URLs.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 May 2020 10:14:51 +0100

colpack (1.0.10-4) unstable; urgency=medium

  * swizzle packaging repo to salsa
  * bump policy
  * bump to dh11
  * merge upstream mods

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Mar 2018 11:06:24 +0100

colpack (1.0.10-3) unstable; urgency=medium

  * bump policy
  * track unused upstream mods

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 Nov 2017 11:39:53 +0000

colpack (1.0.10-2) unstable; urgency=medium

  * bump to dh10
  * bump policy
  * remove unnecessary build dependency
  * prune inappropriate files from examples (squelching reproducability &
    multiarch issues) (closes: #820311)
  * harden
  * secure repo URLs

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 19 Aug 2017 18:24:47 +0200

colpack (1.0.10-1) unstable; urgency=medium

  * Add github pointer to uscan debian/watch
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Apr 2016 12:01:24 +0100
