=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: colpack
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13),
+	autoconf-archive
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: libs
-Homepage: http://www.cscapes.org/coloringpage/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/colpack.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/colpack.git
+Homepage: https://cscapes.cs.purdue.edu/coloringpage/
+Vcs-Git: https://salsa.debian.org/science-team/colpack.git
+Vcs-Browser: https://salsa.debian.org/science-team/colpack
 
 Package: libcolpack-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcolpack0v5 (= ${binary:Version})
 Description: Specialized graph vertex coloring library, development files
