=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	-dh_auto_clean

# Disable build-time compilation of examples.  Enabling would be a
# harmless reality check, except we want to install the example
# sources as documentation, and compiling them leaves the compilation
# outputs in place, which then need to be filtered out.
override_dh_auto_configure:
	dh_auto_configure -- --enable-examples=no --enable-openmp

override_dh_installexamples:
	dh_installexamples -X.o -X.log -X.trs -X.gitignore -X.deps -X.libs -X.dirstamp

execute_after_dh_installexamples:
	@echo "Remove unnecessary executable shell script shims that set LD_LIBRARY_PATH"
	find debian/libcolpack-dev/usr/share/doc/libcolpack-dev/examples/SampleDrivers/Basic \
		-type f -executable \
		-ls -delete

# Do not compress the example source code.
override_dh_compress:
	dh_compress -X.cpp -Xeval_fun_chem.c
